Summary: Creates xguest user as a locked down user 
Name: xguest
Version: 1.0.7
Release: %mkrel 10
License: GPLv2+
Group:   System/Base
BuildArch: noarch
Source:  http://people.fedoraproject.org/~dwalsh/xguest/%{name}-%{version}.tar.bz2
patch:   xguest-namespace.patch
URL:     http://people.fedoraproject.org/~dwalsh/xguest/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre): pam >= 0.99.8.1 python-sabayon
Requires(post): python-sabayon
Requires: dm
Conflicts: gdm < 2.20.10-6mdv
Conflicts: kdm < 2:4.3.1-12mdv
Conflicts: xdm < 1.1.8-4mdv

# TODO:
# - check if /usr/sbin/gdm-safe-restart is needed in /etc/X11.gdm/PostSession/Default
# - prevent logging on console

%description
Installing this package sets up the xguest user to be used as a temporary
account to switch to or as a kiosk user account.
The user is only allowed to log in via gdm.  The home and temporary directories
of the user will be polyinstantiated and mounted on tmpfs.

WARNING: unlike Fedora, where the account is disabled unless SELinux is in
enforcing mode and where it's only accessible through gdm/kdm/xdm, it's
accessible from the console too.

%prep
%setup -q
%patch -p1 -b .namespace

%build

%clean
%{__rm} -fR %{buildroot}

%install
%{__rm} -fR %{buildroot}
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/desktop-profiles
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/security/namespace.d/ls
install -m0644 xguest.zip %{buildroot}/%{_sysconfdir}/desktop-profiles/
install -m0644 xguest.conf %{buildroot}/%{_sysconfdir}/security/namespace.d/


mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/xguest-add-helper <<EOF
useradd -K UID_MIN=10000 -p '' -c "Guest Account" xguest || :

# Add two directories to /etc/skell so pam_namespace will label properly
mkdir /etc/skel/.mozilla 2> /dev/null
mkdir /etc/skel/.gnome2 2> /dev/null

/usr/bin/python << __eof
from sabayon import userdb
db = userdb.get_database()
db.set_profile("xguest", "xguest.zip")
__eof

# prevent remote login:
echo xguest >> /etc/ssh/denyusers 
EOF

%post
if [ $1 -eq 1 ]; then
	xguest-add-helper
fi

%files
%defattr(-,root,root)
%attr(755,root,root) %_bindir/*
%config(noreplace) %{_sysconfdir}/desktop-profiles/xguest.zip
%{_sysconfdir}/security/namespace.d/
%doc README LICENSE

%preun
if [ $1 -eq 0 ]; then

/usr/bin/python << __eof
from sabayon import userdb
db = userdb.get_database()
db.set_profile("xguest", "")
__eof

userdel -r xguest

# remove forbiden SSH:
sed -i '/^xguest/d' /etc/ssh/denyusers

fi

%triggerun -- xguest <= 1.0.7-9mdv2010.0
userdel guest
xguest-add-helper


%changelog
* Thu Oct 29 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-10mdv2010.0
+ Revision: 460111
- when upgrading from previous releases, remove guest account whithout deleting
  its contents (#54898)
- move %%post and %%pre scripts into xguest-add-helper script
- display user as "Guest Account" in DM instead of just "Guest"
- rename guest back to xguest (#54898)

* Mon Oct 19 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-9mdv2010.0
+ Revision: 458177
- use an even higher UID (10000 >) (#54479)

* Mon Oct 19 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-8mdv2010.0
+ Revision: 458174
- use an even higher UID (10000 >) (#54479)

* Wed Oct 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-7mdv2010.0
+ Revision: 457322
- use a high UID (1000 >) instead of a system UID (#54479)

* Mon Oct 12 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-5mdv2010.0
+ Revision: 456768
- use system UID (#54479)

* Tue Oct 06 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-4mdv2010.0
+ Revision: 454650
- only require new python-sabayon, not full sabayon
- require it for Requires(pre) too

* Mon Oct 05 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-3mdv2010.0
+ Revision: 454176
- rename xguest as guest

* Fri Oct 02 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-2mdv2010.0
+ Revision: 452592
- do not force a specific display manager, just conflicts with non aware ones

* Fri Oct 02 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-1mdv2010.0
+ Revision: 452553
- import xguest


* Wed Jul 22 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-1mdv2010.0
- initial release
